PUBLIC-INBOX-NNTPD(1)

NAME
public-inbox-nntpd - NNTP server for sharing public-inbox

SYNOPSIS
  public-inbox-nntpd [OPTIONS]

DESCRIPTION
public-inbox-nntpd provides a read-only NNTP daemon for public-inbox. It uses options and environment variables common to all public-inbox-daemon(8) implementations.

The default configuration will never require write access to the directory where the public-inbox is stored, so it may be run as a different user than the user running public-inbox-watch(1), public-inbox-mda(1), or git-fetch(1).

OPTIONS
See common options in "OPTIONS" in public-inbox-daemon(8). Additionally, NNTP-specific behavior for certain options are supported and documented below.

-l PROTOCOL://ADDRESS/?cert=/path/to/cert,key=/path/to/key
--listen PROTOCOL://ADDRESS/?cert=/path/to/cert,key=/path/to/key
    In addition to the normal "-l"/"--listen" switch described in public-inbox-daemon(8), the protocol prefix (e.g. "nntp://" or "nntps://") may be specified to force a given protocol.

    For STARTTLS and NNTPS support, the "cert" and "key" may be specified on a per-listener basis after a "?" character and separated by ",". These directives are per-directive, and it's possible to use a different cert for every listener.

--cert /path/to/cert
    The default TLS certificate for optional STARTTLS and NNTPS support if the "cert" option is not given with "--listen".

    If using systemd-compatible socket activation and a TCP listener on port 563 is inherited, it is automatically NNTPS when this option is given. When a listener on port 119 is inherited and this option is given, it automatically gets STARTTLS support.

--key /path/to/key
    The default private TLS certificate key for optional STARTTLS and NNTPS support if the "key" option is not given with "--listen". The private key may be concatenated into the path used by "--cert", in which case this option is not needed.

CONFIGURATION
These configuration knobs should be used in the public-inbox-config(5)

publicinbox.<name>.newsgroup
publicinbox.nntpserver

See public-inbox-config(5) for documentation on them.

CONTACT
Feedback welcome via plain-text mail to <mailto:meta@public-inbox.org>

The mail archives are hosted at <https://public-inbox.org/meta/>, and <nntp://news.public-inbox.org/inbox.comp.mail.public-inbox.meta>, <nntp://4uok3hntl7oi7b4uf4rtfwefqeexfzil2w6kgk2jn5z2f764irre7byd.onion/inbox.comp.mail.public-inbox.meta>

COPYRIGHT
Copyright 2013-2021 all contributors <mailto:meta@public-inbox.org>

License: AGPL-3.0+ <https://www.gnu.org/licenses/agpl-3.0.txt>

SEE ALSO
git(1), git-config(1), public-inbox-daemon(8), public-inbox-config(5)